Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.CapabilityStatus

    java.lang.Object
      java.lang.Enum<Account.CapabilityStatus>
          com.skype.api.Account.CapabilityStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.CapabilityStatus>

Enclosing class:
  Account

    public static enum Account.CapabilityStatus

extends java.lang.Enum<Account.CapabilityStatus>
implements EnumConverting

Account capabability statuses are possible values of Contact class CAPABILITY enumerator, when that enumerator is used in context of account. Compared to Contact class CAPABILITYSTATUS enums, Account class CAPABILITYSTATUS has additional items for subscription expiration warnings.

Enum Constant Summary
`CAPABILITY_EXISTS` Capability is supported by the currently logged in SkypeKit client.
`FINAL_EXPIRY_WARNING` Support for this capability ends today
`FIRST_EXPIRY_WARNING` Support for this capability ends this month (within 30 days)
`NO_CAPABILITY` Capability is not supported by the currently logged in SkypeKit client.
`SECOND_EXPIRY_WARNING` Support for this capability ends this week (within 7 days)

Field Summary
`static int` | `CAPABILITY_EXISTS_VALUE`
`static int` | `FINAL_EXPIRY_WARNING_VALUE`
`static int` | `FIRST_EXPIRY_WARNING_VALUE`
`static int` | `NO_CAPABILITY_VALUE`
`static int` | `SECOND_EXPIRY_WARNING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.CapabilityStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.CapabilityStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.CapabilityStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_CAPABILITY

    public static final Account.CapabilityStatus NO_CAPABILITY

  Capability is not supported by the currently logged in SkypeKit client.

### CAPABILITY_EXISTS

    public static final Account.CapabilityStatus CAPABILITY_EXISTS

  Capability is supported by the currently logged in SkypeKit client.

### FIRST_EXPIRY_WARNING

    public static final Account.CapabilityStatus FIRST_EXPIRY_WARNING

  Support for this capability ends this month (within 30 days)

### SECOND_EXPIRY_WARNING

    public static final Account.CapabilityStatus SECOND_EXPIRY_WARNING

  Support for this capability ends this week (within 7 days)

### FINAL_EXPIRY_WARNING

    public static final Account.CapabilityStatus FINAL_EXPIRY_WARNING

  Support for this capability ends today

Field Detail

### NO_CAPABILITY_VALUE

    public static final int NO_CAPABILITY_VALUE

See Also:
  Constant Field Values

### CAPABILITY_EXISTS_VALUE

    public static final int CAPABILITY_EXISTS_VALUE

See Also:
  Constant Field Values

### FIRST_EXPIRY_WARNING_VALUE

    public static final int FIRST_EXPIRY_WARNING_VALUE

See Also:
  Constant Field Values

### SECOND_EXPIRY_WARNING_VALUE

    public static final int SECOND_EXPIRY_WARNING_VALUE

See Also:
  Constant Field Values

### FINAL_EXPIRY_WARNING_VALUE

    public static final int FINAL_EXPIRY_WARNING_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.CapabilityStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.CapabilityStatus c : Account.CapabilityStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.CapabilityStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.CapabilityStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.